## visad.bom
Class DiscoverableZoom

    java.lang.Object
      visad.bom.DiscoverableZoom

All Implemented Interfaces:
  ControlListener, EventListener

public class DiscoverableZoom
extends Object
implements ControlListener

DiscoverableZoom is the VisAD class for discoverable zoom of displayed data.

Constructor Summary
`DiscoverableZoom()`

Method Summary
`void` `controlChanged(ControlEvent e)` send a ControlEvent to this ControlListener

`void`

`setRenderers(DataRenderer[] rs, float distance)`
the DataRenderers in the rs array are assumed to each link to a Tuple data object that includes Real fields for Latitude and Longitude, and that Latitude and Longitude are mapped to spatial DisplayRealTypes; the DataRenderers in rs are enabled or disabled to maintain a roughly constant spacing among their visible depictions; distance is the scale for distance; in order to work, this DiscoverableZoom must be added as a Control Listener to the ProjectionControl of the DisplayImpl linked to the DataRenderer array rs; see CollectiveBarbManipulation.java for an example of use

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscoverableZoom

    public DiscoverableZoom()

Method Detail

### setRenderers

    public void setRenderers(DataRenderer[] rs,
                             float distance)
                      throws VisADException,
                             RemoteException

  the DataRenderers in the rs array are assumed to each link to a Tuple data object that includes Real fields for Latitude and Longitude, and that Latitude and Longitude are mapped to spatial DisplayRealTypes; the DataRenderers in rs are enabled or disabled to maintain a roughly constant spacing among their visible depictions; distance is the scale for distance; in order to work, this DiscoverableZoom must be added as a Control Listener to the ProjectionControl of the DisplayImpl linked to the DataRenderer array rs; see CollectiveBarbManipulation.java for an example of use

  Throws:
    `VisADException`
    `RemoteException`

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `ControlListener`
  send a ControlEvent to this ControlListener

  Specified by:
    `controlChanged` in interface `ControlListener`
  Throws:
    `VisADException`
    `RemoteException`